BearSSL

Data Fields
br_x509_knownkey_context Struct Reference

The "known key" X.509 engine structure. More...

`#include <bearssl_x509.h>`

## Data Fields
const br_x509_class * | vtable
| Reference to the context vtable. More...

## Detailed Description

The "known key" X.509 engine structure.

The structure contents are opaque (they shall not be accessed directly), except for the first field (the vtable).

The "known key" engine returns an externally configured public key, and totally ignores the certificate contents.

## Field Documentation

## ◆ vtable

const br_x509_class* br_x509_knownkey_context::vtable

Reference to the context vtable.

The documentation for this struct was generated from the following file:

- bearssl_x509.h